#include "main.h"
#include "user_init.h"
#include "rtthread.h"

/**
  ****************************************************************************************************
  * @file    main.c
  * @author  FMSH Application Team
  * @brief   Header file of  LL Module
  ****************************************************************************************************
  * @attention
  *
  * Copyright (c) [2019] [Fudan Microelectronics]
  * THIS SOFTWARE is licensed under the Mulan PSL v1.
  * can use this software according to the terms and conditions of the Mulan PSL v1.
  * You may obtain a copy of Mulan PSL v1 at:
  * http://license.coscl.org.cn/MulanPSL
  * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
  * IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
  * PURPOSE.
  * See the Mulan PSL v1 for more details.
  *
  ****************************************************************************************************
  */

static rt_thread_t led1_thread = RT_NULL;
static void led1_thread_entry(void *parameter)
{
    while(1)
    {     
        LED0_TOG();
	    rt_thread_mdelay(1000);
        rt_kprintf("led1 thread !\n");
    }
}

int main(void)
{
    led1_thread = rt_thread_create("led1", led1_thread_entry, RT_NULL, 512, 4, 20);
    if (led1_thread != RT_NULL) {
        rt_thread_startup(led1_thread);
    }
}


