#include "sleep.h"
#include "main.h"

// DeepSleep
void DeepSleep(void)
{
    FL_PMU_SleepInitTypeDef    defaultInitStruct;

    defaultInitStruct.deepSleep = FL_PMU_SLEEP_MODE_DEEP;
    defaultInitStruct.LDOLowPowerMode = FL_PMU_LDO_LPM_DISABLE;
    defaultInitStruct.wakeupFrequency = FL_PMU_RCHF_WAKEUP_FREQ_8MHZ;
    defaultInitStruct.wakeupDelay = FL_PMU_WAKEUP_DELAY_2US;
    defaultInitStruct.coreVoltageScaling = FL_DISABLE;

    FL_PMU_Sleep_Init(PMU,&defaultInitStruct );
    
    FL_RCC_RCMF_Disable();               //关闭RCMF
    FL_RMU_PDR_Enable(RMU);              //打开PDR
    FL_RMU_BORPowerDown_Disable(RMU);    //关闭BOR 2uA

    /*使用ADC时ADCMonitor功能以及Vref需同时开始，同时关闭*/
    FL_VREF_Disable(VREF);               //关闭VREF1p2
    FL_SVD_DisableADCMonitor(SVD);       //关闭ADC电源检测
    FL_ADC_Disable(ADC);                 //关闭ADC使能

    FL_PMU_SetLowPowerMode(PMU, FL_PMU_POWER_MODE_SLEEP_OR_DEEPSLEEP);
    __WFI();
}


// Sleep
void Sleep(void)
{
    FL_PMU_SleepInitTypeDef    defaultInitStruct;

    defaultInitStruct.deepSleep = FL_PMU_SLEEP_MODE_NORMAL;
    defaultInitStruct.LDOLowPowerMode = FL_PMU_LDO_LPM_DISABLE;
    defaultInitStruct.wakeupFrequency = FL_PMU_RCHF_WAKEUP_FREQ_8MHZ;
    defaultInitStruct.wakeupDelay = FL_PMU_WAKEUP_DELAY_2US;
    defaultInitStruct.coreVoltageScaling = FL_DISABLE;

    FL_PMU_Sleep_Init(PMU,&defaultInitStruct );
    
    FL_RCC_RCMF_Disable();               //关闭RCMF
    FL_RMU_PDR_Enable(RMU);              //打开PDR
    FL_RMU_BORPowerDown_Disable(RMU);    //关闭BOR 2uA

    /*使用ADC时ADCMonitor功能以及Vref需同时开始，同时关闭*/
    FL_VREF_Disable(VREF);               //关闭VREF1p2
    FL_SVD_DisableADCMonitor(SVD);       //关闭ADC电源检测
    FL_ADC_Disable(ADC);                 //关闭ADC使能

    FL_PMU_SetLowPowerMode(PMU, FL_PMU_POWER_MODE_SLEEP_OR_DEEPSLEEP);
    __WFI();
}
